
import { Injectable } from '@angular/core';
import { COMMAND_TYPES } from '../shared/constants/command-types';

@Injectable({
  providedIn: 'root'
})
export class TranslationService {
  private currentLang: string = 'es';

  constructor() {}

  getCommandTranslation(command: string): string {
    switch(command) {
      case 'install-oglive':
        return COMMAND_TYPES['install-oglive'][this.currentLang];
      case 'create-aux-file':
        return COMMAND_TYPES['create-aux-file'][this.currentLang];
      case 'convert-image-to-virtual':
        return COMMAND_TYPES['convert-image-to-virtual'][this.currentLang];
      case 'deploy-image':
        return COMMAND_TYPES['deploy-image'][this.currentLang];
      case 'create-image':
        return COMMAND_TYPES['create-image'][this.currentLang];
      case 'reboot':
        return COMMAND_TYPES.reboot[this.currentLang];
      case 'shutdown':
        return COMMAND_TYPES.shutdown[this.currentLang];
      case 'partition-and-format':
        return COMMAND_TYPES['partition-and-format'][this.currentLang];
      case 'run-script':
        return COMMAND_TYPES['run-script'][this.currentLang];
      default:
        return command;
    }
  }
}
